<?php

declare(strict_types=1);

namespace Maestro\Core\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

final class UpdateUserTableStateRequest extends FormRequest
{
    public function authorize(): bool
    {
        return $this->user() !== null;
    }

    /**
     * @return array<string, array<int, string>>
     */
    public function rules(): array
    {
        return [
            'state' => ['required', 'array'],
        ];
    }
}
